include:
  - project: sylvanld/gitlab-ci
    ref:  improve-docker-build
    file: '/job-template/docker/release.yaml'

docker-release: 
  extends: .docker_release
  variables:
    DOCKER_IMAGE_NAME: "$CI_PROJECT_PATH"
    DOCKER_IMAGE_TAG: "$CI_COMMIT_TAG"

    DOCKER_USERNAME: "$CI_REGISTRY_USER"
    DOCKER_PASSWORD: "$CI_REGISTRY_PASSWORD"
    DOCKER_REGISTRY: "$CI_REGISTRY"

    DOCKER_BUILD_ARGS: "KUBECTL_VERSION=$CI_COMMIT_TAG"

  rules:
    - if: $CI_COMMIT_TAG != null
